<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:isScrollContainer="true"
    tools:context=".ui.calcsight.CalculateSightParametersFragment">

    <ScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">


            <TextView
                android:id="@+id/text_calcsight_params"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:textAlignment="viewStart"
                android:textSize="20sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/bowAndArrowParams"
                style="@style/Widget.AppCompat.TextView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:background="@color/purple_700"
                android:padding="4dp"
                android:text="@string/titleBowAndArrowParams"
                android:textAppearance="@style/TextAppearance.AppCompat.Large"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/text_calcsight_params" />

            <TextView
                android:id="@+id/atmosphericalParams"
                style="@style/Widget.AppCompat.TextView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:background="@color/purple_700"
                android:padding="4dp"
                android:text="@string/titleAtmosphericalParams"
                android:textAppearance="@style/TextAppearance.AppCompat.Large"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/bowParamsFlow" />

            <androidx.constraintlayout.helper.widget.Flow
                android:id="@+id/bowParamsFlow"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:constraint_referenced_ids="hNALayout,nockRaisingLayout,braceHeightLayout"
                app:flow_wrapMode="aligned"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/arrowV0Layout" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/arrowDiameterLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/bowAndArrowParams">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/arrowDiameterTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowDiameterLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/arrowCwLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/arrowDiameterLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/arrowCwTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowCwLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/arrowWeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/arrowCwLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/arrowWeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowWeightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/bowPulloutLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/arrowWeightLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/bowPulloutTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowPulloutLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/arrowV0Layout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/bowPulloutLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/arrowV0Txt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowV0Lbl"
                    android:singleLine="true" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/hNALayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:paddingRight="4dp"
                tools:layout_editor_absoluteX="61dp"
                tools:layout_editor_absoluteY="435dp">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/hNATxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowParamhNALbl"
                    android:nextFocusDown="@id/nockRaisingTxt"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/nockRaisingLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:paddingHorizontal="4dp"
                tools:layout_editor_absoluteX="140dp"
                tools:layout_editor_absoluteY="435dp">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/nockRaisingTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowParamNockRaisingLbl"
                    android:nextFocusDown="@id/braceHeightTxt"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/braceHeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:paddingLeft="4dp"
                tools:layout_editor_absoluteX="355dp"
                tools:layout_editor_absoluteY="435dp">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/braceHeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowParamBraceHeightLbl"
                    android:nextFocusDown="@id/airTemperatureTxt"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/airTemperatureLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/atmosphericalParams">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/airTemperatureTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/airTemperatureLbl"
                    android:singleLine="true" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/airRelativeHumidityLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/airTemperatureLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/airRelativeHumidityTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/airRelativeHumidityLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                android:id="@+id/shootingParams"
                style="@style/Widget.AppCompat.TextView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:background="@color/purple_700"
                android:padding="4dp"
                android:text="@string/titleShootingParams"
                android:textAppearance="@style/TextAppearance.AppCompat.Large"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/airRelativeHumidityLayout" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/shootingDistanzLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/shootingParams">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/shootingDistanzTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/shootingDistanzLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/arrowNockHeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/shootingDistanzLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/arrowNockHeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowNockHeightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/targetCenterHeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/arrowNockHeightLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/targetCenterHeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/targetCenterHeightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <TextView
                android:id="@+id/calculationParams"
                style="@style/Widget.AppCompat.TextView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:background="@color/purple_700"
                android:padding="4dp"
                android:text="@string/titleCalculationParams"
                android:textAppearance="@style/TextAppearance.AppCompat.Large"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/targetCenterHeightLayout" />

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:id="@+id/deltaTimeLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/calculationParams">

                <AutoCompleteTextView
                    android:id="@+id/deltaTimeTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/deltaTimeLbl"
                    android:nextFocusDown="@id/calcPrecisionTxt"
                    android:nextFocusForward="@id/calcPrecisionTxt"
                    android:nextFocusRight="@id/calcPrecisionTxt"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/calcPrecisionLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginBottom="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/deltaTimeLayout">

                <AutoCompleteTextView
                    android:id="@+id/calcPrecisionTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/calcPrecisionLbl"
                    android:nextFocusDown="@id/arrowDiameterTxt"
                    android:nextFocusForward="@id/arrowDiameterTxt"
                    android:nextFocusRight="@id/arrowDiameterTxt"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>
